html
{
    height: 100%;
}
body
{
    margin: 0px;
    height: 100%;
}
.container
{
    display: flex;
    flex-flow: column;
    height: 100%;

}
.header
{
    background-color: black;
    height: 50px;
    align-self: stretch;
}
.main
{
    background-color: #00AA00;
    align-self: stretch;
    height: 100%;
    display: flex;
    flex-flow: row;
}
.content
{
    width: 100%;
    background-color: #0000AA;
    align-self: stretch;
    flex-grow: 3;
}
.sidebar
{
    width: 100%;
    background-color: #7f7f7f;
    align-self: stretch;
    flex-grow: 1;
}